<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDeviceCtrlCbs_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDeviceCtrlCbs_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWaveLink Device Control, Interrupt callback functions  
 <a href="structrl_device_ctrl_cbs__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a48bed7c1b206da47f7216a7f6040c76e"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_device_ctrl_cbs__t.html#a48bed7c1b206da47f7216a7f6040c76e">rlDeviceEnable</a> )(rlUInt8_t deviceIndex)</td></tr>
<tr class="memdesc:a48bed7c1b206da47f7216a7f6040c76e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bring mmWave radar device out of Reset.  <a href="#a48bed7c1b206da47f7216a7f6040c76e">More...</a><br /></td></tr>
<tr class="separator:a48bed7c1b206da47f7216a7f6040c76e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe515d0d9caed4aa836b28296ad0315"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_device_ctrl_cbs__t.html#a7fe515d0d9caed4aa836b28296ad0315">rlDeviceDisable</a> )(rlUInt8_t deviceIndex)</td></tr>
<tr class="memdesc:a7fe515d0d9caed4aa836b28296ad0315"><td class="mdescLeft">&#160;</td><td class="mdescRight">Power off mmWave radar device.  <a href="#a7fe515d0d9caed4aa836b28296ad0315">More...</a><br /></td></tr>
<tr class="separator:a7fe515d0d9caed4aa836b28296ad0315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87119a4423c63b88a5bdbe0f1300b52d"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_device_ctrl_cbs__t.html#a87119a4423c63b88a5bdbe0f1300b52d">rlDeviceMaskHostIrq</a> )(rlComIfHdl_t fd)</td></tr>
<tr class="memdesc:a87119a4423c63b88a5bdbe0f1300b52d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Masks Host Interrupt.  <a href="#a87119a4423c63b88a5bdbe0f1300b52d">More...</a><br /></td></tr>
<tr class="separator:a87119a4423c63b88a5bdbe0f1300b52d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83930307501d0d592d0d1e3e177e4d9d"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_device_ctrl_cbs__t.html#a83930307501d0d592d0d1e3e177e4d9d">rlDeviceUnMaskHostIrq</a> )(rlComIfHdl_t fd)</td></tr>
<tr class="memdesc:a83930307501d0d592d0d1e3e177e4d9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unmask Host Interrupt.  <a href="#a83930307501d0d592d0d1e3e177e4d9d">More...</a><br /></td></tr>
<tr class="separator:a83930307501d0d592d0d1e3e177e4d9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8e04cee50fe254a502bf23bcb732a9c"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_device_ctrl_cbs__t.html#ad8e04cee50fe254a502bf23bcb732a9c">rlDeviceWaitIrqStatus</a> )(rlComIfHdl_t fd, rlUInt8_t highLow)</td></tr>
<tr class="memdesc:ad8e04cee50fe254a502bf23bcb732a9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Polls Host Interrupt Status.  <a href="#ad8e04cee50fe254a502bf23bcb732a9c">More...</a><br /></td></tr>
<tr class="separator:ad8e04cee50fe254a502bf23bcb732a9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a333d1fa6d7921245a84896ef932f2695"><td class="memItemLeft" align="right" valign="top">rlUInt16_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_device_ctrl_cbs__t.html#a333d1fa6d7921245a84896ef932f2695">rlCommIfAssertIrq</a> )(rlUInt8_t highLow)</td></tr>
<tr class="memdesc:a333d1fa6d7921245a84896ef932f2695"><td class="mdescLeft">&#160;</td><td class="mdescRight">It assert/de-assert Host IRQ hig/low on MSS to Host for SPI communication.  <a href="#a333d1fa6d7921245a84896ef932f2695">More...</a><br /></td></tr>
<tr class="separator:a333d1fa6d7921245a84896ef932f2695"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a844ca3ed84483a6e13aed8839c9306a2"><td class="memItemLeft" align="right" valign="top">rlInt32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_device_ctrl_cbs__t.html#a844ca3ed84483a6e13aed8839c9306a2">rlRegisterInterruptHandler</a> )(rlUInt8_t deviceIndex, RL_P_EVENT_HANDLER pHandler, void *pValue)</td></tr>
<tr class="memdesc:a844ca3ed84483a6e13aed8839c9306a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Register Host Interrupt Handler.  <a href="#a844ca3ed84483a6e13aed8839c9306a2">More...</a><br /></td></tr>
<tr class="separator:a844ca3ed84483a6e13aed8839c9306a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWaveLink Device Control, Interrupt callback functions </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a333d1fa6d7921245a84896ef932f2695"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt16_t(* rlDeviceCtrlCbs_t::rlCommIfAssertIrq)(rlUInt8_t highLow)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>It assert/de-assert Host IRQ hig/low on MSS to Host for SPI communication. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">highLow</td><td>- High/low value for Host IRQ</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlUInt16_t Success - 0, Failure - Error code</dd></dl>
<p>It assert/de-assert Host IRQ hig/low on MSS to Host for SPI communication </p>

</div>
</div>
<a class="anchor" id="a7fe515d0d9caed4aa836b28296ad0315"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlDeviceCtrlCbs_t::rlDeviceDisable)(rlUInt8_t deviceIndex)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Power off mmWave radar device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceIndex</td><td>- Index of the device to be disbaled</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Power off mmWave radar device. Implement this function to de-assert the Reset Pin in mmWave device </p>

</div>
</div>
<a class="anchor" id="a48bed7c1b206da47f7216a7f6040c76e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlDeviceCtrlCbs_t::rlDeviceEnable)(rlUInt8_t deviceIndex)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Bring mmWave radar device out of Reset. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceIndex</td><td>- Index of the device to be enabled</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Bring mmWave radar device out of Reset. Implement this function to assert the nReset Pin in mmWave device. Optionally It might require to assert Sense on Power(SOP) Pins </p>

</div>
</div>
<a class="anchor" id="a87119a4423c63b88a5bdbe0f1300b52d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* rlDeviceCtrlCbs_t::rlDeviceMaskHostIrq)(rlComIfHdl_t fd)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Masks Host Interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>- Handle of the device for which interrupt need to be masked</td></tr>
  </table>
  </dd>
</dl>
<p>Masks Host Interrupt. If GPIO Interrupt is Level Triggered, host need to mask the interrupt until the interrupt is serviced </p>

</div>
</div>
<a class="anchor" id="a83930307501d0d592d0d1e3e177e4d9d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* rlDeviceCtrlCbs_t::rlDeviceUnMaskHostIrq)(rlComIfHdl_t fd)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Unmask Host Interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>- Handle of the device for which interrupt need to be unmasked</td></tr>
  </table>
  </dd>
</dl>
<p>Unmask Host Interrupt. If GPIO Interrupt is Level Triggered, host need to unmask the interrupt once interrupt is processed </p>

</div>
</div>
<a class="anchor" id="ad8e04cee50fe254a502bf23bcb732a9c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlDeviceCtrlCbs_t::rlDeviceWaitIrqStatus)(rlComIfHdl_t fd, rlUInt8_t highLow)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Polls Host Interrupt Status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fd</td><td>- Handle of the device for which interrupt need to be polled </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">highLow</td><td>- Wait for IRQ Level(high/low)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t IRQ Line Low - 0, IRQ Line High - 1</dd></dl>
<p>mmWave Radar device asserts host IRQ pin to get Host attention. After receiving host interrupt, host polls Host Interrupt Status, Low on Host IRQ indicate that mmWave device has written data on communication Interface. This callback should Wait for the IRQ status. The function waits for the IRQ Level(low/high) based on second argument returns once the IRQ Level occurs. </p>

</div>
</div>
<a class="anchor" id="a844ca3ed84483a6e13aed8839c9306a2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlDeviceCtrlCbs_t::rlRegisterInterruptHandler)(rlUInt8_t deviceIndex, RL_P_EVENT_HANDLER pHandler, void *pValue)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Register Host Interrupt Handler. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceIndex</td><td>- Device Index to identify source of Host Interrupt </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pHandler</td><td>- Interrupt Handler routine </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pValue</td><td>- To Pass any additional data</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success - 0, Failure - Error code</dd></dl>
<p>Register Host Interrupt Handler. The Application should store this function handler and invoke when it receives host Interrupt. The application need to enable GPIO interrupt in this callback. Event Handler Callback doesn't process the interrupt in the same context so it is safe to call this handler from ISR directly. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
